LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XNumberFormatsSupplier Interface Referencepublished

supplies the collection of NumberFormats (for example, in a document) and the settings belonging to these formats. More...

`import"XNumberFormatsSupplier.idl";`

Inheritance diagram for XNumberFormatsSupplier:

## Public Member Functions
com::sun::star::beans::XPropertySet | getNumberFormatSettings ()
com::sun::star::util::XNumberFormats | getNumberFormats ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supplies the collection of NumberFormats (for example, in a document) and the settings belonging to these formats.

Developers Guide
  Office Development - Number Formats
  Text Documents - Line Numbering and Outline Numbering - Number Formats

## Member Function Documentation

## ◆ getNumberFormats()

com::sun::star::util::XNumberFormats getNumberFormats | ( |  | ) |

Returns
  the collection of number formats belonging to this object (e.g., to this document).

## ◆ getNumberFormatSettings()

com::sun::star::beans::XPropertySet getNumberFormatSettings | ( |  | ) |

Returns
  the NumberFormatSettings of this object.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XNumberFormatsSupplier.idl